SSTab (Control)

El control SSTab proporciona un grupo de fichas, cada una de las cuales actúa como contenedor de otros controles. En el control sólo hay al mismo tiempo una ficha activa; esta ficha muestra los controles que contiene al tiempo que oculta los de las demás fichas.

Sintaxis

SSTab

Comentarios

El control SSTab se asemeja a los separadores de un cuaderno o a las etiquetas de un grupo de carpetas de un archivador. Con el control SSTab puede definir varias páginas para la misma área de una ventana o un cuadro de diálogo de una aplicación. Con las propiedades de este control puede hacer lo siguiente:

  • Determinar el número de fichas.

  • Disponer las fichas en más de una fila.

  • Establecer el texto de cada ficha.

  • Mostrar un gráfico en cada ficha.

  • Determinar el estilo de las fichas.

  • Establecer el tamaño de cada ficha.

Para usar este control, primero debe decidir cómo desea disponer los controles en las distintas fichas. Establezca las propiedades Tabs y TabsPerRow para crear las fichas y organizarlas por filas. A continuación, seleccione cada ficha en tiempo de diseño haciendo clic en ella. En cada ficha, dibuje los controles que desee que aparezcan cuando el usuario la seleccione. Establezca las propiedades Caption, Picture, TabHeight y TabMaxWidth a los valores necesarios para personalizar la parte superior de la ficha.

En tiempo de ejecución los usuarios podrán desplazarse por las fichas si presionan Ctrl-Tab o utilizando las teclas aceleradoras definidas en el título de cada ficha.

También puede personalizar todo el control SSTab con las propiedades Style, ShowFocusRect, TabOrientation y WordWrap.

Nota para la distribución El control SSTab se encuentra en el archivo TABCTL32.OCX. Para usar el control SSTab en una aplicación, debe agregar el archivo .OCX del control al proyecto. Al distribuir la aplicación, instale el archivo .OCX correspondiente en el directorio System o System32 de Microsoft Windows del usuario. Para obtener más información acerca de la forma de agregar un control adicional a un proyecto, vea el Manual del programador de Visual Basic.


No se encuentra el tema

No se halló el tema correspondiente. A continuación enumeramos algunas posibles razones y sus soluciones:

  • El archivo (.chm) que contiene el tema de destino no se encuentra en la ubicación esperada.

    Solución: vuelva a ejecutar la instalación de la Biblioteca MSDN.

  • El archivo (.chm) que contiene el tema actual o el de destino no está actualizado y el vínculo ya no es válido.

    Solución: instale la última versión de la Biblioteca MSDN.

  • El CD de la Biblioteca MSDN no está en la unidad de CD-ROM.

    Solución: inserte el CD en la unidad.


Constantes del control SSTab

Constantes de Clipboard

Constante | Valor | Descripción
ssCFText | 1 | Archivo de texto (.TXT)
ssCFBitmap | 2 | Archivo de mapa de bits (.BMP)
ssCFMetafile | 3 | Metarchivo (.WMF)
ssCFDIB | 8 | Mapa de bits independiente de dispositivo
ssCFPallette | 9 | Paleta de colores
ssCFEMetafile | 14 | Metarchivo mejorado (.EMF)
ssCFFiles | 15 | Lista de nombres de archivo (Explorador de Microsoft Windows)
ssCFRTF | -16639 | Archivo con Formato de texto enriquecido (.RTF)

Constantes de DragOver

Constante | Valor | Descripción
ssEnter | 0 | Control de origen arrastrado al destino.
ssLeave | 1 | Control de origen arrastrado fuera del destino.
ssOver | 2 | Control de origen arrastrado desde una posición de destino a otra.

Constantes de Error

Constante | Valor | Descripción
ssInvalidProcedureCall | 5 | Llamada de procedimiento no válida.
ssOutOfMemory | 7 | Memoria insuficiente.
ssInvalidPropertyValue | 380 | El valor de la propiedad no es válido.
ssBadIndex | 381 | El índice de la matriz de la propiedad no es válido.
ssSetNotSupported | 383 | Propiedad de sólo lectura.
ssGetNotSupported | 394 | Propiedad de sólo escritura.
ssInvalidObjectUse | 425 | Uso no válido del objeto.
ssWrongClipBoardFormat | 461 | El formato especificado no es del mismo tipo que el formato de los datos.
ssInvalidPicture | 481 | Imagen no válida.
ssDataObjectLocked | 672 | La lista de formatos de DataObject no puede ser limpiada o expandida fuera del evento OLEStartDrag.
ssExpectedAnArgument | 673 | Se requiere al menos un argumento.
ssRecursiveOLEDrag | 674 | Llamada recursiva ilegal de arrastrar y colocar objeto OLE.
ssFormatNotByteArray | 675 | Los formatos de arrastrar y colocar objeto OLE no intrínsecos utilizados con SetData requieren datos de la matriz Byte. GetData podría devolver más bytes que los dados a SetData.
ssDataNotSetForFormat | 676 | Los datos solicitados no fueron facilitados a DataObject durante el evento OLESetData.

Constantes de MousePointer

Constante | Valor | Descripción
ssDefault | 0 | Predeterminado.
ssArrow | 1 | Puntero del mouse de tipo flecha.
ssCross | 2 | Puntero del mouse de tipo cruz.
ssIBeam | 3 | Puntero del mouse en forma de I.
ssIcon | 4 | Puntero del mouse de tipo icono.
ssSize | 5 | Puntero del mouse Tamaño.
ssSizeNESW | 6 | Puntero del mouse Tamaño NE SW.
ssSizeNS | 7 | Puntero del mouse Tamaño N S.
ssSizeNWSE | 8 | Puntero del mouse Tamaño NW SE.
ssSizeEW | 9 | Puntero del mouse de tipo flecha arriba.
ssUpArrow | 10 | Puntero del mouse de tipo flecha arriba.
ssHourglass | 11 | Puntero del mouse de tipo Reloj de arena.
ssNoDrop | 12 | Puntero del mouse para no colocar.
ssArrowHourglass | 13 | Puntero del mouse de tipo flecha y reloj de arena.
ssArrowQuestion | 14 | Puntero del mouse de tipo flecha y signo de interrogación.
ssSizeAll | 15 | Puntero del mouse de tipo tamaño completo.
ssCustom | 99 | Puntero del mouse personalizado de tipo icono especificado en la propiedad MouseIcon.

Constantes de OLEDrop

Constante | Valor | Descripción
ssOLEDropNone | 0 | No se aceptan operaciones de arrastrar y colocar objetos OLE.
ssOLEDropManual | 1 | Sólo se aceptan arrastrar y colocar objetos OLE mediante control de programa.

Constantes de OLEDropEffect

Constante | Valor | Descripción
ssOLEDropEffectNone | 0 | No tendrían efecto operaciones de arrastrar y colocar objetos OLE.
ssOLEDropEffectCopy | 1 | Una máscara para indicar que podría realizar una copia.
ssOLEDropEffectMove | 2 | Una máscara para indicar que podría desplazarse.
ssOLEDropEffectScroll | &H80000000 | Una máscara para indicar que la ventana de destino de colocación puede tener desplazamiento.

Constantes de Style

Constante | Valor | Descripción
ssStyleTabbedDialog | 0 | Las fichas tienen la misma apariencia que los cuadros de diálogo con fichas de las aplicaciones de Microsoft Office para Microsoft Windows 3.1.
ssStylePropertyPage | 1 | Las fichas tienen la misma apariencia que las de Microsoft Windows 95.

Constantes de TabOrientation

Constante | Valor | Descripción
ssTabOrientationTop | 0 | Las fichas aparecen en la parte superior del control.
ssTabOrientationBottom | 1 | Las fichas aparecen en la parte inferior del control.
ssTabOrientationLeft | 2 | Las fichas aparecen en la parte izquierda del control.
ssTabOrientationRight | 3 | Las fichas aparecen en la parte derecha del control.


Click (Evento, control SSTab)

El evento Click se produce cuando el usuario selecciona una de las fichas de un control SSTab.

Sintaxis

Private Sub objeto_Click ([índice As Integer], fichaAnterior As Integer)

La sintaxis del evento Click consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
índice | Un entero que identifica unívocamente un control si se encuentra en una matriz de controles.
fichaAnterior | Una expresión numérica que identifica la ficha previamente activa.

Comentarios

Puede usar el evento Click para determinar cuándo un usuario hace clic en una ficha para convertirla en la ficha activa. Cuando una ficha recibe un evento Click, pasa a ser la ficha activa y aparecen los controles colocados en ella en tiempo de diseño.

Con el argumento fichaAnterior puede comprobar si ha habido cambios cuando el usuario hace clic en otra ficha.

Utilice la propiedad Tab para determinar la ficha actual.


Ejemplo del evento Click (Control SSTab)

En este ejemplo se guarda la información de preferencias de dos fichas de un control SSTab en cuanto el usuario selecciona una ficha distinta.

Private Sub sstbPrefs_Click(PreviousTab As Integer)
   Dim ThisSetting As String
   Select Case PreviousTab
      Case 0
         If optLoanLen(0) = True Then
            ThisSetting = "Meses"
         Else
            ThisSetting = "Años"
         End If
         SaveSetting "LoanSheet", "LoanLength", _
               "Period", ThisSetting
      Case 1
         Dim X As Integer
         For X = 0 To 3
            If optPctsShown(X) = True Then
               SaveSetting "LoanSheet", "InterestRate", _
                "Precision", optPctsShown(X).Tag
               Exit For
            End If
         Next X
   End Select
End Sub


Picture (Propiedad, control SSTab)

Devuelve o establece el gráfico que debe aparecer en la ficha actual de un control SSTab.

Sintaxis

objeto.Picture [ = imagen]

La sintaxis de la propiedad Picture consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
imagen | Una expresión de cadena que designa un mapa de bits o un icono de la ficha actual, como se describe en Valores.

Valores

Los valores posibles de imagen son:

Valor | Descripción
(Ninguno) | Una expresión de objeto que da como resultado un control SSTab.
(Mapa de bits, icono, metarchivo) | Una expresión de cadena que designa un mapa de bits o un icono que debe mostrarse en la ficha actual.

Comentarios

En tiempo de diseño puede establecer la propiedad Picture de una ficha si hace clic en ella y después establece la propiedad en la ventana Propiedades. En tiempo de ejecución puede establecer la propiedad Picture con la función LoadPicture o con la propiedad Picture de otro control o de otro objeto Form. Puede convertir cualquier ficha en la ficha activa si establece la propiedad Tab.

Al establecer la propiedad Picture en tiempo de diseño, el gráfico se guarda y se carga con el objeto Form que contiene el control SSTab. Si crea un archivo ejecutable, el archivo contendrá la imagen. Al cargar un gráfico en tiempo de ejecución, el gráfico no se guarda con la aplicación.

Establecer la propiedad Picture afecta al valor de la propiedad TabPicture de la ficha actual y además aparece la imagen correspondiente en la ficha activa.


Ejemplo de la propiedad Picture (Control SSTab)

En este ejemplo se carga un mapa de bits desde un archivo y se coloca en la ficha activa. Para probar el ejemplo, coloque los controles SSTab y CommandButton en el formulario y ejecute el ejemplo.

Private Sub Command1_Click()
   SSTab1.Picture = LoadPicture("c:\windows\cars.bmp")
End Sub


Rows (Propiedad, control SSTab)

Devuelve el número total de filas de fichas contenidas en un control SSTab.

Sintaxis

objeto.Rows

El marcador de posición objeto representa una expresión de objeto que da como resultado un control SSTab.

Comentarios

El número de filas del control SSTab se especifica en tiempo de diseño mediante las propiedades Tabs y TabsPerRow.


ShowFocusRect (Propiedad)

Devuelve o establece un valor que determina si el rectángulo de enfoque es visible en una ficha de un control SSTab cuando la ficha obtiene el enfoque.

Sintaxis

objeto.ShowFocusRect [ = booleano ]

La sintaxis de la propiedad ShowFocusRect consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
booleano | Una expresión booleana que especifica el comportamiento del rectángulo de enfoque, como se describe en Valores.

Valores

Los valores posibles de booleano son:

Valor | Descripción
True | (Predeterminado) El control muestra el rectángulo de enfoque en la ficha que tiene el enfoque.
False | El control no muestra el rectángulo de enfoque en la ficha que tiene el enfoque.


Style (Propiedad, control SSTab)

Devuelve o establece el estilo de las fichas de un control SSTab.

Sintaxis

objeto.Style [ = valor ]

La sintaxis de la propiedad Style consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
valor | Una constante o un entero que especifica el estilo de las fichas, como se describe en Valores.

Valores

Los valores posibles de valor son:

Constante | Valor | Descripción
ssStyleTabbedDialog | 0 | (Predeterminado) Las fichas de los cuadros de diálogo con fichas tienen la misma apariencia que en las aplicaciones de Microsoft Office para Microsoft Windows 3.1. Si selecciona este estilo, la fuente de la ficha activa estará en negrita.
ssStylePropertyPage | 1 | Las fichas de los cuadros de diálogo con fichas tienen la misma apariencia que las de Microsoft Windows 95. Si elige este valor, la propiedad TabMaxWidth se pasa por alto y el ancho de cada ficha se adapta a la longitud del texto del título. La fuente empleada para mostrar el texto de la ficha no está en negrita.


TabCaption (Propiedad, control SSTab)

Devuelve o establece el título de cada ficha de un control SSTab.

Sintaxis

objeto.TabCaption(ficha) [ = texto ]

La sintaxis de la propiedad TabCaption consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
ficha | Una expresión numérica que especifica la ficha en la que desea que aparezca el título.
texto | Una expresión de cadena que da como resultado el texto mostrado como título de la ficha especificada.

Comentarios

En tiempo de diseño, puede establecer la propiedad TabCaption si hace clic en una ficha y establece la propiedad Caption en la ventana Propiedades. También puede seleccionar (Custom) en la ventana Propiedades y establecer la propiedad TabCaption en la ficha General del cuadro de diálogo Propiedades.

En tiempo de ejecución puede leer o cambiar el título de cualquier ficha mediante la propiedad TabCaption. También puede usar la propiedad Caption para cambiar la propiedad TabCaption sólo para la ficha activa.

Puede usar la propiedad TabCaption para asignar a una ficha una tecla de acceso. En el valor de TabCaption, incluya el símbolo & inmediatamente antes del carácter que desea designar como tecla de acceso. Ese carácter aparecerá subrayado. Presione la tecla ALT y el carácter de subrayado para que la ficha pase a ser la ficha activa. Para incluir un símbolo & en el título sin crear una tecla de acceso, escriba dos símbolos seguidos (&&). En el título sólo aparecerá uno y no habrá ningún carácter subrayado.


Ejemplo de la propiedad TabCaption (Control SSTab)

En este ejemplo se agrega o se quita una palabra adicional de las fichas de un control SSTab que muestra los defensas de un equipo en una ficha y los delanteros en otra. Al hacer clic en el control CheckBox del objeto Form, el usuario puede alternar entre títulos largos o breves.

Private Sub Check1_Click()
   Dim X As Integer
   For X = 0 To SSTab1.Tabs - 1
      Select Case Check1.Value
         Case 0   ' Pasa a títulos cortos.
            SSTab1.TabCaption(X) = Left(SSTab1.TabCaption(X), 7)
         Case 1   ' Pasa a títulos largos.
            SSTab1.TabCaption(X) = SSTab1.TabCaption(X) & " Jugadores"
      End Select
   Next X
End Sub


TabEnabled (Propiedad, control SSTab)

Devuelve o establece un valor que determina si una ficha de un control SSTab está disponible al hacer clic en ella.

Sintaxis

objeto.TabEnabled(ficha)[ = booleano ]

La sintaxis de la propiedad TabEnabled consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
ficha | Una expresión numérica que especifica la ficha.
booleano | Una expresión booleana que especifica si la ficha responderá al hacer clic en ella, como se describe en Valores.

Valores

Los valores válidos para booleano son:

Valor | Descripción
True | (Predeterminado) La ficha responde al hacer clic en ella.
False | La ficha no responde al hacer clic en ella.

Comentarios

Cuando una ficha está desactivada, su texto aparece atenuado y el usuario no puede seleccionarla.

La propiedad TabEnabled activa o desactiva una única ficha. Para activar o desactivar todo el control SSTab, utilice la propiedad Enabled.


TabHeight (Propiedad, control SSTab)

Devuelve o establece el alto de todas las fichas de un control SSTab.

Sintaxis

objeto.TabHeight [ = alto ]

La sintaxis de la propiedad TabHeight consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
alto | Una expresión numérica que especifica el alto de la ficha, basándose en el modo de escala de su contenedor.


TabMaxWidth (Propiedad, control SSTab)

Devuelve o establece el ancho máximo de cada ficha de un control SSTab.

Sintaxis

objeto.TabMaxWidth [ = ancho ]

La sintaxis de la propiedad TabMaxWidth consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
ancho | Una expresión numérica que determina el ancho máximo de cada ficha, en el modo de escala de su contenedor.

Comentarios

Cuando el valor de la propiedad Style es ssStyleTabbedDialog y el de TabMaxWidth es cero (0), el control SSTab ajusta automáticamente el tamaño de las fichas, según el valor de la propiedad TabsPerRow, para ajustarlas por igual al control.

Si selecciona el valor ssStylePropertyPage en la propiedad Style, se pasará por alto la propiedad TabMaxWidth. En este caso, el ancho de cada ficha se ajusta automáticamente a la longitud del texto de la propiedad TabCaption.


TabOrientation (Propiedad, control SSTab)

Devuelve o establece la ubicación de las fichas en el control SSTab.

Sintaxis

objeto.TabOrientation [ = número ]

La sintaxis de la propiedad TabOrientation consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
número | Una expresión numérica que especifica la ubicación de las fichas, como se describe en Valores.

Valores

Los valores válidos para número son:

Constante | Valor | Descripción
ssTabOrientationTop | 0 | Las fichas aparecen en la parte superior del control.
ssTabOrientationBottom | 1 | Las fichas aparecen en la parte inferior del control.
ssTabOrientationLeft | 2 | Las fichas aparecen en la parte izquierda del control.
ssTabOrientationRight | 3 | Las fichas aparecen en la parte derecha del control.

Comentarios

Si utiliza fuentes TrueType, el texto gira cuando el valor de TabOrientation es ssTabOrientationLeft o ssTabOrientationRight.


TabPicture (Propiedad, control SSTab)

Devuelve o establece el mapa de bits o el icono que se muestra en la ficha especificada de un control SSTab.

Sintaxis

objeto.TabPicture(ficha) [ = imagen ]

La sintaxis de la propiedad TabPicture consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
ficha | Una expresión numérica que especifica la ficha en la que debe aparecer la imagen.
imagen | Una expresión de cadena que especifica un gráfico, como se describe en Valores.

Valores

Los valores válidos para imagen son:

Valor | Descripción
(Ninguno) | (Predeterminado) Sin imagen.
(Mapa de bits, icono, metarchivo) | Especifica un gráfico. En tiempo de ejecución puede establecer esta propiedad con la función LoadPicture o con la propiedad Picture de otro control u objeto Form.

Comentarios

En tiempo de diseño, puede establecer la propiedad TabPicture si hace clic en una ficha y establece la propiedad Picture en la ventana Propiedades. También puede seleccionar (Custom) en la ventana Propiedades y establecer la propiedad Picture en la ficha Imágenes del cuadro de diálogo Propiedades.

En tiempo de ejecución, puede hacer referencia al gráfico de cualquier ficha o cambiarlo mediante la propiedad TabPicture o mediante la propiedad Picture para trabajar con la ficha activa.


Tab (Propiedad, control SSTab)

Devuelve o establece la ficha actual de un control SSTab.

Sintaxis

objeto.Tab [ = númeroFicha ]

La sintaxis de la propiedad Tab consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
númeroFicha | Una expresión numérica que indica una ficha específica. La primera ficha es siempre la número 0.

Comentarios

La ficha actual se coloca en primer plano y pasa a ser la ficha activa.

Normalmente, el usuario de la aplicación hará clic en una ficha para convertirla en la ficha activa. Sin embargo, puede que tenga que seleccionarla en el código. Por ejemplo, puede que desee que cierta ficha sea la activa cada vez que se muestre un cuadro de diálogo determinado en la aplicación. Si abandona el cuadro de diálogo mediante el método Hide del objeto Form, la última ficha que estaba activa al ocultar el Form seguirá siendo la ficha activa cuando aparezca de nuevo el cuadro de diálogo. Puede establecer la propiedad Tab del control SSTab para que esté activa la misma ficha cada vez que aparezca el cuadro de diálogo.


Ejemplo de la propiedad Tab (Control SSTab)

Este ejemplo hace que la ficha activa sea siempre la primera ficha del control SSTab justo antes de mostrar el formulario que contiene el control. Para probar este ejemplo, cree dos objetos Form. Coloque un control CommandButton en el Form1 y un control SSTab en el Form2. Pegue el código en el evento Click del control CommandButton del Form1 y después ejecute el ejemplo.

Private Sub Command1_Click()
   Form2.SSTab1.Tab = 1
   Form2.Show
End Sub


TabsPerRow (Propiedad, control SSTab)

Devuelve o establece el número de fichas de cada fila de un control SSTab.

Sintaxis

objeto.TabsPerRow [ = númeroFichas ]

La sintaxis de la propiedad TabsPerRow consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
númeroFichas | Una expresión numérica que especifica el número de fichas que debe haber en cada fila.

Comentarios

Puede usar esta propiedad junto con la propiedad Tabs en tiempo de diseño para determinar el número de filas que aparecen en el control. En tiempo de ejecución, utilice la propiedad Rows.


Tabs (Propiedad, control SSTab)

Devuelve o establece el número total de fichas de un control SSTab.

Sintaxis

objeto.Tabs [ = númeroFichas ]

La sintaxis de la propiedad Tabs consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
númeroFichas | Una expresión numérica que especifica el número de fichas que debe tener el control. Las fichas reciben automáticamente los títulos "Ficha x", donde x es 0, 1, 2, 3, etc.

Comentarios

Puede modificar la propiedad Tabs en tiempo de ejecución para agregar nuevas fichas o para quitar fichas.

En tiempo de diseño, puede usar la propiedad Tabs junto con TabsPerRow para determinar el número de filas de fichas que aparecen en el control. En tiempo de ejecución, utilice la propiedad Rows.


TabVisible (Propiedad, control SSTab)

Devuelve o establece un valor que indica si una ficha de un control SSTab está visible u oculta. No está disponible en tiempo de diseño.

Sintaxis

objeto.TabVisible(ficha) [ = booleano ]

La sintaxis de la propiedad TabVisible consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
ficha | Una expresión numérica que especifica la ficha que debe estar visible u oculta.
booleano | Una expresión booleana que indica si la ficha está visible u oculta, como se describe en Valores.

Valores

Los valores válidos para booleano son:

Valor | Descripción
True | (Predeterminado) La ficha está visible.
False | La ficha está oculta. Las demás fichas ajustan su posición para que no queden huecos entre ellas.

Comentarios

La propiedad TabVisible muestra u oculta una única ficha. Puede usar la propiedad Visible para mostrar u ocultar todo el control SSTab.


WordWrap (Propiedad, control SSTab)

Devuelve o establece un valor que indica si el texto de cada ficha continúa en la línea siguiente cuando es demasiado largo y no cabe horizontalmente en una ficha de un control SSTab.

Sintaxis

objeto.WordWrap [ = booleano ]

La sintaxis de la propiedad WordWrap consta de las siguientes partes:

Parte | Descripción
objeto | Una expresión de objeto que da como resultado un control SSTab.
booleano | Una expresión booleana que especifica si el texto de cada ficha pasa a la línea siguiente cuando no cabe horizontalmente, como se describe en Valores.

Valores

Los valores válidos para booleano son:

Valor | Descripción
True | El texto continúa en la línea siguiente cuando es demasiado largo y no cabe en el ancho de la ficha.
False | (Predeterminado) El texto no continúa en la línea siguiente y se trunca si es demasiado largo.

Comentarios

Puede usar la propiedad WordWrap para determinar la forma en que el control SSTab muestra el texto en cada ficha. Por ejemplo, en un cuadro de diálogo con fichas que se modifica dinámicamente, el texto también puede cambiar. Para asegurarse de que no se truncará si es demasiado largo, establezca la propiedad WordWrap a True, la propiedad TabMaxWidth a cero (0) y la propiedad TabHeight a un alto que permita ver el texto más largo posible.